package org.freecompany.yacli;

public class InvalidCommandException extends Exception {

	protected InvalidOptionException e;
	protected Options options;
	protected String usage;

	public InvalidCommandException( final InvalidOptionException e, final Options options, final String usage) {
		this.e = e;
		this.options = options;
		this.usage = usage;
	}
	
	public String getMessage() {
		final StringBuilder builder = new StringBuilder();
		builder.append( "Usage: ");
		builder.append( usage).append( "\n").append( "\n");
		builder.append( e.getMessage()).append( "\n").append( "\n");
		for ( Entry option : options.getEntries()) builder.append( option.toString()).append( "\n");
		return builder.toString();
	}
}
