package org.freecompany.yacli;

import java.util.HashMap;
import java.util.Map;

public class Options {

	protected Map< String, Entry> shortNames = new HashMap< String, Entry>();
	protected Map< String, String> longNames = new HashMap< String, String>();

	public void add( final Option option) {
		addEntry( new Entry( option));
	}

	public void addEntry( final Entry entry) {
		shortNames.put( entry.option().shortName(), entry);
		longNames.put( entry.option().longName(), entry.option().shortName());
	}

	public Iterable< Entry> getEntries() { return shortNames.values(); }
	public Entry shortName( final String shortName) { return shortNames.get( shortName); }
	public Entry longName( final String longName) { return shortNames.get( longNames.get( longName)); }

	public void validate() throws InvalidOptionException {
		for ( Entry option : shortNames.values()) option.validate();
	}
}
