package org.freecompany.yacli;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;
import static java.lang.annotation.ElementType.TYPE;

/**
 * The usage annotation is used to set a user readable usage string
 * on an executable class. The vlaue of this annotation will be used
 * to construct a help message in the event of a command line error
 * or the presence of the {@code -h} or {@code --help} options.
 */
@Retention( RUNTIME)
@Target( TYPE)
public @interface Usage {

	String value();
}	
